Bug 1987 - [UPDATE REQUEST] fglrx-12.104-1
: [UPDATE REQUEST] fglrx-12.104-1
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-02 11:48 MSD by Aleksandr Kazantcev
Modified: 2013-05-22 11:26 MSD (History)
3 users (show)

See Also:
RPM Package: fglrx-12.104-1.src.rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
report.odt (1.72 MB, application/vnd.oasis.opendocument.text)
2013-05-21 16:07 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-05-02 11:48:19 MSD
AMD Catalyst 13.4 drivers
Comment 1 Aleksandr Kazantcev 2013-05-02 11:53:35 MSD
https://abf.rosalinux.ru/build_lists/1076116
https://abf.rosalinux.ru/build_lists/1076117

Advisory: This driver change some errors and add useful things, like:
- OpenCL Console Mode Support
- Kernel 3.7 and 3.8 Support
- [370253]: Serious Sam 3 - Color of Objects turning into be red when enabling separate shader object
- [371937]: Team Fortress 2 - Screen black issue while entering the game screen under cinnamon desktop environment
- [371374]: Team Fortress 2 - Screen random flickering and corruptions in Lakeside Map
= [354777]: Maya 2012 Benchmark - Benchmark falling out of TIMMO
- [372137]: NX8.0 - Severe flickering is observed while playing animation in manufacturing mode
- [373561]: Mari crashes at startup on Ubuntu only
- [374371]: Severe corruption occurs in Unigine Heaven 4.0 on Saturn XT when running at extremely high settings
- [373787]: Softimage fails to refresh properly
- [372918]: Maxon - Wrong shading when UBOs are used to store light parameters
Comment 2 Vladimir Potapov 2013-05-07 17:11:54 MSD
Building module:
cleaning build area....
sh make.sh --uname_r=3.8.5-nrj-desktop-1rosa --uname_v=none --kernel-dir=/lib/modules/3.8.5-nrj-desktop-1rosa/build --no-proc-probe --norootcheck....(bad exit status: 1)

Error! Bad return status for module build on kernel: 3.8.5-nrj-desktop-1rosa (i586)
Comment 3 Alexander Burmashev 2013-05-07 17:13:13 MSD
do you have kernel-devel installed ?
Comment 4 Vladimir Potapov 2013-05-07 17:35:48 MSD
Пакет kernel-nrj-desktop-devel-3.8.5-1rosa-1-1-rosa2012.1.i586 уже установлен
Comment 5 Vladimir Potapov 2013-05-08 18:17:58 MSD
For x64 system this bug don't present.
Comment 6 Aleksandr Kazantcev 2013-05-11 09:08:46 MSD
Please try rebuild again - i don't confirm this bug on i586 system. This driver strongly need for Steam!

Uninstall all fglrx drivers first please. Also please attach 

 dkms status

output.
Comment 7 Vladimir Potapov 2013-05-13 12:33:49 MSD
Ок. 
The package route to extended testing.
Comment 8 Postnikov Dmitry 2013-05-19 00:52:48 MSD
(In reply to comment #7)
> Ок. 
> The package route to extended testing.

Took the job. Will test on KDE 4.10.3+systemd-194-17.
Comment 9 Postnikov Dmitry 2013-05-19 16:06:38 MSD
(In reply to comment #8)
> (In reply to comment #7)
> > Ок. 
> > The package route to extended testing.
> 
> Took the job. Will test on KDE 4.10.3+systemd-194-17.

Unfortunately our testers do not have right video card for this test. So nothing to test.
(And on the test bench only Nvidia.)
Comment 10 Postnikov Dmitry 2013-05-21 14:45:11 MSD
We found the equipment for the test. So we'll see... 
(KDE4.10.3+kernel3.6.10 and kernel3.8.12)
Comment 11 Postnikov Dmitry 2013-05-21 16:07:32 MSD
Created attachment 1396 [details]
report.odt

*****************************
Extended testing report
****************************
This 64 bit. 32 bit later.
Comment 12 Postnikov Dmitry 2013-05-21 19:14:58 MSD
(In reply to comment #11)
> Created attachment 1396 [details]
> report.odt
> 
> *****************************
> Extended testing report
> ****************************
> This 64 bit. 32 bit later.

***********************
Extended testing report 32bit
***********************

Everything is the same 64 bit version. Without any changes, all identical.
Comment 13 Vladimir Potapov 2013-05-22 05:17:23 MSD
x11-driver-video-fglrx-12.104-1-rosa2012.1
*********************** Advisory *************************
AMD Catalyst 13.4 drivers
************************ Changelog ***********************
- OpenCL Console Mode Support
- Kernel 3.7 and 3.8 Support
- [370253]: Serious Sam 3 - Color of Objects turning into be red when enabling separate shader object
- [371937]: Team Fortress 2 - Screen black issue while entering the game screen under cinnamon desktop environment
- [371374]: Team Fortress 2 - Screen random flickering and corruptions in Lakeside Map
= [354777]: Maya 2012 Benchmark - Benchmark falling out of TIMMO
- [372137]: NX8.0 - Severe flickering is observed while playing animation in manufacturing mode
- [373561]: Mari crashes at startup on Ubuntu only
- [374371]: Severe corruption occurs in Unigine Heaven 4.0 on Saturn XT when running at extremely high settings
- [373787]: Softimage fails to refresh properly
- [372918]: Maxon - Wrong shading when UBOs are used to store light parameters
***********************************************************
QA Verified